Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface PatternLanguagePackage.Literals

- Enclosing interface:
    PatternLanguagePackage

      public static interface PatternLanguagePackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.eclipse.emf.ecore.EClass` | `AGGREGATED_VALUE` | The meta object literal for the '`Aggregated Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `AGGREGATED_VALUE__AGGREGATE_TYPE` | The meta object literal for the 'Aggregate Type' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `AGGREGATED_VALUE__AGGREGATOR` | The meta object literal for the 'Aggregator' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `AGGREGATED_VALUE__CALL` | The meta object literal for the 'Call' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `ANNOTATION` | The meta object literal for the '`Annotation`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `ANNOTATION__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `ANNOTATION__PARAMETERS` | The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `ANNOTATION_PARAMETER` | The meta object literal for the '`Annotation Parameter`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `ANNOTATION_PARAMETER__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `ANNOTATION_PARAMETER__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `BOOL_VALUE` | The meta object literal for the '`Bool Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `BOOL_VALUE__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `CALLABLE_RELATION` | The meta object literal for the '`Callable Relation`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `CALLABLE_RELATION__TRANSITIVE` | The meta object literal for the 'Transitive' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `CHECK_CONSTRAINT` | The meta object literal for the '`Check Constraint`' class.
    `static org.eclipse.emf.ecore.EReference` | `CHECK_CONSTRAINT__EXPRESSION` | The meta object literal for the 'Expression' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `CLASS_TYPE` | The meta object literal for the '`Class Type`' class.
    `static org.eclipse.emf.ecore.EReference` | `CLASS_TYPE__CLASSNAME` | The meta object literal for the 'Classname' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CLASS_TYPE__METAMODEL` | The meta object literal for the 'Metamodel' reference feature.
    `static org.eclipse.emf.ecore.EEnum` | `CLOSURE_TYPE` | The meta object literal for the '`Closure Type`' enum.
    `static org.eclipse.emf.ecore.EClass` | `COMPARE_CONSTRAINT` | The meta object literal for the '`Compare Constraint`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `COMPARE_CONSTRAINT__FEATURE` | The meta object literal for the 'Feature' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPARE_CONSTRAINT__LEFT_OPERAND` | The meta object literal for the 'Left Operand' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPARE_CONSTRAINT__RIGHT_OPERAND` | The meta object literal for the 'Right Operand' containment reference feature.
    `static org.eclipse.emf.ecore.EEnum` | `COMPARE_FEATURE` | The meta object literal for the '`Compare Feature`' enum.
    `static org.eclipse.emf.ecore.EClass` | `COMPUTATION_VALUE` | The meta object literal for the '`Computation Value`' class.
    `static org.eclipse.emf.ecore.EClass` | `CONSTRAINT` | The meta object literal for the '`Constraint`' class.
    `static org.eclipse.emf.ecore.EClass` | `ECLASSIFIER_CONSTRAINT` | The meta object literal for the '`EClassifier Constraint`' class.
    `static org.eclipse.emf.ecore.EClass` | `ENTITY_TYPE` | The meta object literal for the '`Entity Type`' class.
    `static org.eclipse.emf.ecore.EClass` | `ENUM_VALUE` | The meta object literal for the '`Enum Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `ENUM_VALUE__ENUMERATION` | The meta object literal for the 'Enumeration' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `ENUM_VALUE__LITERAL` | The meta object literal for the 'Literal' reference feature.
    `static org.eclipse.emf.ecore.EEnum` | `EXECUTION_TYPE` | The meta object literal for the '`Execution Type`' enum.
    `static org.eclipse.emf.ecore.EClass` | `EXPRESSION` | The meta object literal for the '`Expression`' class.
    `static org.eclipse.emf.ecore.EClass` | `FUNCTION_EVALUATION_VALUE` | The meta object literal for the '`Function Evaluation Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `FUNCTION_EVALUATION_VALUE__EXPRESSION` | The meta object literal for the 'Expression' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `FUNCTION_EVALUATION_VALUE__UNWIND` | The meta object literal for the 'Unwind' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `JAVA_CONSTANT_VALUE` | The meta object literal for the '`Java Constant Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `JAVA_CONSTANT_VALUE__CLASS_REF` | The meta object literal for the 'Class Ref' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `JAVA_CONSTANT_VALUE__FIELD_REF` | The meta object literal for the 'Field Ref' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `JAVA_TYPE` | The meta object literal for the '`Java Type`' class.
    `static org.eclipse.emf.ecore.EReference` | `JAVA_TYPE__CLASS_REF` | The meta object literal for the 'Class Ref' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `LIST_VALUE` | The meta object literal for the '`List Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `LIST_VALUE__VALUES` | The meta object literal for the 'Values' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `LITERAL_VALUE_REFERENCE` | The meta object literal for the '`Literal Value Reference`' class.
    `static org.eclipse.emf.ecore.EClass` | `LOCAL_VARIABLE` | The meta object literal for the '`Local Variable`' class.
    `static org.eclipse.emf.ecore.EClass` | `MODIFIERS` | The meta object literal for the '`Modifiers`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `MODIFIERS__EXECUTION` | The meta object literal for the 'Execution' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `MODIFIERS__PRIVATE` | The meta object literal for the 'Private' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `NUMBER_VALUE` | The meta object literal for the '`Number Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `NUMBER_VALUE__NEGATIVE` | The meta object literal for the 'Negative' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `NUMBER_VALUE__VALUE` | The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PACKAGE_IMPORT` | The meta object literal for the '`Package Import`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `PACKAGE_IMPORT__ALIAS` | The meta object literal for the 'Alias' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PACKAGE_IMPORT__EPACKAGE` | The meta object literal for the 'EPackage' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER` | The meta object literal for the '`Parameter`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `PARAMETER__DIRECTION` | The meta object literal for the 'Direction' attribute feature.
    `static org.eclipse.emf.ecore.EEnum` | `PARAMETER_DIRECTION` | The meta object literal for the '`Parameter Direction`' enum.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETER_REF` | The meta object literal for the '`Parameter Ref`' class.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETER_REF__REFERRED_PARAM` | The meta object literal for the 'Referred Param' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATH_EXPRESSION_CONSTRAINT` | The meta object literal for the '`Path Expression Constraint`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATH_EXPRESSION_CONSTRAINT__DST` | The meta object literal for the 'Dst' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `PATH_EXPRESSION_CONSTRAINT__EDGE_TYPES` | The meta object literal for the 'Edge Types' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `PATH_EXPRESSION_CONSTRAINT__SOURCE_TYPE` | The meta object literal for the 'Source Type' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `PATH_EXPRESSION_CONSTRAINT__SRC` | The meta object literal for the 'Src' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN` | The meta object literal for the '`Pattern`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN__ANNOTATIONS` | The meta object literal for the 'Annotations' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN__BODIES` | The meta object literal for the 'Bodies' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN__MODIFIERS` | The meta object literal for the 'Modifiers' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN__PARAMETERS` | The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_BODY` | The meta object literal for the '`Pattern Body`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_BODY__CONSTRAINTS` | The meta object literal for the 'Constraints' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN_BODY__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_BODY__VARIABLES` | The meta object literal for the 'Variables' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_CALL` | The meta object literal for the '`Pattern Call`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_CALL__PARAMETERS` | The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_CALL__PATTERN_REF` | The meta object literal for the 'Pattern Ref' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_COMPOSITION_CONSTRAINT` | The meta object literal for the '`Pattern Composition Constraint`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_COMPOSITION_CONSTRAINT__CALL` | The meta object literal for the 'Call' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE` | The meta object literal for the 'Negative' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_IMPORT` | The meta object literal for the '`Pattern Import`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN_IMPORT__PACKAGE_NAME` | The meta object literal for the 'Package Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_IMPORT__PATTERN` | The meta object literal for the 'Pattern' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_IMPORT__PATTERNS` | The meta object literal for the 'Patterns' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_MODEL` | The meta object literal for the '`Pattern Model`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_MODEL__IMPORT_PACKAGES` | The meta object literal for the 'Import Packages' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN_MODEL__PACKAGE_NAME` | The meta object literal for the 'Package Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_MODEL__PATTERNS` | The meta object literal for the 'Patterns' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `REFERENCE_TYPE` | The meta object literal for the '`Reference Type`' class.
    `static org.eclipse.emf.ecore.EReference` | `REFERENCE_TYPE__REFNAME` | The meta object literal for the 'Refname' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `RELATION_TYPE` | The meta object literal for the '`Relation Type`' class.
    `static org.eclipse.emf.ecore.EClass` | `STRING_VALUE` | The meta object literal for the '`String Value`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `STRING_VALUE__VALUE` | The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TYPE` | The meta object literal for the '`Type`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TYPE__TYPENAME` | The meta object literal for the 'Typename' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TYPE_CHECK_CONSTRAINT` | The meta object literal for the '`Type Check Constraint`' class.
    `static org.eclipse.emf.ecore.EClass` | `UNARY_TYPE_CONSTRAINT` | The meta object literal for the '`Unary Type Constraint`' class.
    `static org.eclipse.emf.ecore.EReference` | `UNARY_TYPE_CONSTRAINT__TYPE` | The meta object literal for the 'Type' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `UNARY_TYPE_CONSTRAINT__VAR` | The meta object literal for the 'Var' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VALUE_REFERENCE` | The meta object literal for the '`Value Reference`' class.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE` | The meta object literal for the '`Variable`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `VARIABLE__NAME` | The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE__TYPE` | The meta object literal for the 'Type' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE_REFERENCE` | The meta object literal for the '`Variable Reference`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `VARIABLE_REFERENCE__AGGREGATOR` | The meta object literal for the 'Aggregator' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `VARIABLE_REFERENCE__VAR` | The meta object literal for the 'Var' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `VARIABLE_REFERENCE__VARIABLE` | The meta object literal for the 'Variable' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `VQL_IMPORT_SECTION` | The meta object literal for the '`VQL Import Section`' class.
    `static org.eclipse.emf.ecore.EReference` | `VQL_IMPORT_SECTION__PACKAGE_IMPORT` | The meta object literal for the 'Package Import' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `VQL_IMPORT_SECTION__PATTERN_IMPORT` | The meta object literal for the 'Pattern Import' containment reference list feature.

- - ### Field Detail

    - #### VQL_IMPORT_SECTION

          static final org.eclipse.emf.ecore.EClass VQL_IMPORT_SECTION

      The meta object literal for the '`VQL Import Section`' class.
      See Also:
        `VQLImportSectionImpl`, `PatternLanguagePackageImpl.getVQLImportSection()`
      Generated:

    - #### VQL_IMPORT_SECTION__PACKAGE_IMPORT

          static final org.eclipse.emf.ecore.EReference VQL_IMPORT_SECTION__PACKAGE_IMPORT

      The meta object literal for the 'Package Import' containment reference list feature.
      Generated:

    - #### VQL_IMPORT_SECTION__PATTERN_IMPORT

          static final org.eclipse.emf.ecore.EReference VQL_IMPORT_SECTION__PATTERN_IMPORT

      The meta object literal for the 'Pattern Import' containment reference list feature.
      Generated:

    - #### PACKAGE_IMPORT

          static final org.eclipse.emf.ecore.EClass PACKAGE_IMPORT

      The meta object literal for the '`Package Import`' class.
      See Also:
        `PackageImportImpl`, `PatternLanguagePackageImpl.getPackageImport()`
      Generated:

    - #### PACKAGE_IMPORT__EPACKAGE

          static final org.eclipse.emf.ecore.EReference PACKAGE_IMPORT__EPACKAGE

      The meta object literal for the 'EPackage' reference feature.
      Generated:

    - #### PACKAGE_IMPORT__ALIAS

          static final org.eclipse.emf.ecore.EAttribute PACKAGE_IMPORT__ALIAS

      The meta object literal for the 'Alias' attribute feature.
      Generated:

    - #### PATTERN_IMPORT

          static final org.eclipse.emf.ecore.EClass PATTERN_IMPORT

      The meta object literal for the '`Pattern Import`' class.
      See Also:
        `PatternImportImpl`, `PatternLanguagePackageImpl.getPatternImport()`
      Generated:

    - #### PATTERN_IMPORT__PATTERN

          static final org.eclipse.emf.ecore.EReference PATTERN_IMPORT__PATTERN

      The meta object literal for the 'Pattern' reference feature.
      Generated:

    - #### PATTERN_IMPORT__PACKAGE_NAME

          static final org.eclipse.emf.ecore.EAttribute PATTERN_IMPORT__PACKAGE_NAME

      The meta object literal for the 'Package Name' attribute feature.
      Generated:

    - #### PATTERN_IMPORT__PATTERNS

          static final org.eclipse.emf.ecore.EReference PATTERN_IMPORT__PATTERNS

      The meta object literal for the 'Patterns' containment reference list feature.
      Generated:

    - #### ECLASSIFIER_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass ECLASSIFIER_CONSTRAINT

      The meta object literal for the '`EClassifier Constraint`' class.
      See Also:
        `EClassifierConstraintImpl`, `PatternLanguagePackageImpl.getEClassifierConstraint()`
      Generated:

    - #### ENUM_VALUE

          static final org.eclipse.emf.ecore.EClass ENUM_VALUE

      The meta object literal for the '`Enum Value`' class.
      See Also:
        `EnumValueImpl`, `PatternLanguagePackageImpl.getEnumValue()`
      Generated:

    - #### ENUM_VALUE__ENUMERATION

          static final org.eclipse.emf.ecore.EReference ENUM_VALUE__ENUMERATION

      The meta object literal for the 'Enumeration' reference feature.
      Generated:

    - #### ENUM_VALUE__LITERAL

          static final org.eclipse.emf.ecore.EReference ENUM_VALUE__LITERAL

      The meta object literal for the 'Literal' reference feature.
      Generated:

    - #### PATTERN_MODEL

          static final org.eclipse.emf.ecore.EClass PATTERN_MODEL

      The meta object literal for the '`Pattern Model`' class.
      See Also:
        `PatternModelImpl`, `PatternLanguagePackageImpl.getPatternModel()`
      Generated:

    - #### PATTERN_MODEL__IMPORT_PACKAGES

          static final org.eclipse.emf.ecore.EReference PATTERN_MODEL__IMPORT_PACKAGES

      The meta object literal for the 'Import Packages' containment reference feature.
      Generated:

    - #### PATTERN_MODEL__PACKAGE_NAME

          static final org.eclipse.emf.ecore.EAttribute PATTERN_MODEL__PACKAGE_NAME

      The meta object literal for the 'Package Name' attribute feature.
      Generated:

    - #### PATTERN_MODEL__PATTERNS

          static final org.eclipse.emf.ecore.EReference PATTERN_MODEL__PATTERNS

      The meta object literal for the 'Patterns' containment reference list feature.
      Generated:

    - #### CLASS_TYPE

          static final org.eclipse.emf.ecore.EClass CLASS_TYPE

      The meta object literal for the '`Class Type`' class.
      See Also:
        `ClassTypeImpl`, `PatternLanguagePackageImpl.getClassType()`
      Generated:

    - #### CLASS_TYPE__METAMODEL

          static final org.eclipse.emf.ecore.EReference CLASS_TYPE__METAMODEL

      The meta object literal for the 'Metamodel' reference feature.
      Generated:

    - #### CLASS_TYPE__CLASSNAME

          static final org.eclipse.emf.ecore.EReference CLASS_TYPE__CLASSNAME

      The meta object literal for the 'Classname' reference feature.
      Generated:

    - #### REFERENCE_TYPE

          static final org.eclipse.emf.ecore.EClass REFERENCE_TYPE

      The meta object literal for the '`Reference Type`' class.
      See Also:
        `ReferenceTypeImpl`, `PatternLanguagePackageImpl.getReferenceType()`
      Generated:

    - #### REFERENCE_TYPE__REFNAME

          static final org.eclipse.emf.ecore.EReference REFERENCE_TYPE__REFNAME

      The meta object literal for the 'Refname' reference feature.
      Generated:

    - #### PATTERN

          static final org.eclipse.emf.ecore.EClass PATTERN

      The meta object literal for the '`Pattern`' class.
      See Also:
        `PatternImpl`, `PatternLanguagePackageImpl.getPattern()`
      Generated:

    - #### PATTERN__ANNOTATIONS

          static final org.eclipse.emf.ecore.EReference PATTERN__ANNOTATIONS

      The meta object literal for the 'Annotations' containment reference list feature.
      Generated:

    - #### PATTERN__MODIFIERS

          static final org.eclipse.emf.ecore.EReference PATTERN__MODIFIERS

      The meta object literal for the 'Modifiers' containment reference feature.
      Generated:

    - #### PATTERN__NAME

          static final org.eclipse.emf.ecore.EAttribute PATTERN__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### PATTERN__PARAMETERS

          static final org.eclipse.emf.ecore.EReference PATTERN__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.
      Generated:

    - #### PATTERN__BODIES

          static final org.eclipse.emf.ecore.EReference PATTERN__BODIES

      The meta object literal for the 'Bodies' containment reference list feature.
      Generated:

    - #### ANNOTATION

          static final org.eclipse.emf.ecore.EClass ANNOTATION

      The meta object literal for the '`Annotation`' class.
      See Also:
        `AnnotationImpl`, `PatternLanguagePackageImpl.getAnnotation()`
      Generated:

    - #### ANNOTATION__NAME

          static final org.eclipse.emf.ecore.EAttribute ANNOTATION__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### ANNOTATION__PARAMETERS

          static final org.eclipse.emf.ecore.EReference ANNOTATION__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.
      Generated:

    - #### ANNOTATION_PARAMETER

          static final org.eclipse.emf.ecore.EClass ANNOTATION_PARAMETER

      The meta object literal for the '`Annotation Parameter`' class.
      See Also:
        `AnnotationParameterImpl`, `PatternLanguagePackageImpl.getAnnotationParameter()`
      Generated:

    - #### ANNOTATION_PARAMETER__NAME

          static final org.eclipse.emf.ecore.EAttribute ANNOTATION_PARAMETER__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### ANNOTATION_PARAMETER__VALUE

          static final org.eclipse.emf.ecore.EReference ANNOTATION_PARAMETER__VALUE

      The meta object literal for the 'Value' containment reference feature.
      Generated:

    - #### MODIFIERS

          static final org.eclipse.emf.ecore.EClass MODIFIERS

      The meta object literal for the '`Modifiers`' class.
      See Also:
        `ModifiersImpl`, `PatternLanguagePackageImpl.getModifiers()`
      Generated:

    - #### MODIFIERS__PRIVATE

          static final org.eclipse.emf.ecore.EAttribute MODIFIERS__PRIVATE

      The meta object literal for the 'Private' attribute feature.
      Generated:

    - #### MODIFIERS__EXECUTION

          static final org.eclipse.emf.ecore.EAttribute MODIFIERS__EXECUTION

      The meta object literal for the 'Execution' attribute feature.
      Generated:

    - #### EXPRESSION

          static final org.eclipse.emf.ecore.EClass EXPRESSION

      The meta object literal for the '`Expression`' class.
      See Also:
        `ExpressionImpl`, `PatternLanguagePackageImpl.getExpression()`
      Generated:

    - #### VARIABLE

          static final org.eclipse.emf.ecore.EClass VARIABLE

      The meta object literal for the '`Variable`' class.
      See Also:
        `VariableImpl`, `PatternLanguagePackageImpl.getVariable()`
      Generated:

    - #### VARIABLE__NAME

          static final org.eclipse.emf.ecore.EAttribute VARIABLE__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### VARIABLE__TYPE

          static final org.eclipse.emf.ecore.EReference VARIABLE__TYPE

      The meta object literal for the 'Type' containment reference feature.
      Generated:

    - #### VARIABLE_REFERENCE

          static final org.eclipse.emf.ecore.EClass VARIABLE_REFERENCE

      The meta object literal for the '`Variable Reference`' class.
      See Also:
        `VariableReferenceImpl`, `PatternLanguagePackageImpl.getVariableReference()`
      Generated:

    - #### VARIABLE_REFERENCE__AGGREGATOR

          static final org.eclipse.emf.ecore.EAttribute VARIABLE_REFERENCE__AGGREGATOR

      The meta object literal for the 'Aggregator' attribute feature.
      Generated:

    - #### VARIABLE_REFERENCE__VAR

          static final org.eclipse.emf.ecore.EAttribute VARIABLE_REFERENCE__VAR

      The meta object literal for the 'Var' attribute feature.
      Generated:

    - #### VARIABLE_REFERENCE__VARIABLE

          static final org.eclipse.emf.ecore.EReference VARIABLE_REFERENCE__VARIABLE

      The meta object literal for the 'Variable' reference feature.
      Generated:

    - #### TYPE

          static final org.eclipse.emf.ecore.EClass TYPE

      The meta object literal for the '`Type`' class.
      See Also:
        `TypeImpl`, `PatternLanguagePackageImpl.getType()`
      Generated:

    - #### TYPE__TYPENAME

          static final org.eclipse.emf.ecore.EAttribute TYPE__TYPENAME

      The meta object literal for the 'Typename' attribute feature.
      Generated:

    - #### ENTITY_TYPE

          static final org.eclipse.emf.ecore.EClass ENTITY_TYPE

      The meta object literal for the '`Entity Type`' class.
      See Also:
        `EntityTypeImpl`, `PatternLanguagePackageImpl.getEntityType()`
      Generated:

    - #### PATTERN_BODY

          static final org.eclipse.emf.ecore.EClass PATTERN_BODY

      The meta object literal for the '`Pattern Body`' class.
      See Also:
        `PatternBodyImpl`, `PatternLanguagePackageImpl.getPatternBody()`
      Generated:

    - #### PATTERN_BODY__NAME

          static final org.eclipse.emf.ecore.EAttribute PATTERN_BODY__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### PATTERN_BODY__CONSTRAINTS

          static final org.eclipse.emf.ecore.EReference PATTERN_BODY__CONSTRAINTS

      The meta object literal for the 'Constraints' containment reference list feature.
      Generated:

    - #### PATTERN_BODY__VARIABLES

          static final org.eclipse.emf.ecore.EReference PATTERN_BODY__VARIABLES

      The meta object literal for the 'Variables' containment reference list feature.
      Generated:

    - #### CONSTRAINT

          static final org.eclipse.emf.ecore.EClass CONSTRAINT

      The meta object literal for the '`Constraint`' class.
      See Also:
        `ConstraintImpl`, `PatternLanguagePackageImpl.getConstraint()`
      Generated:

    - #### PATTERN_CALL

          static final org.eclipse.emf.ecore.EClass PATTERN_CALL

      The meta object literal for the '`Pattern Call`' class.
      See Also:
        `PatternCallImpl`, `PatternLanguagePackageImpl.getPatternCall()`
      Generated:

    - #### PATTERN_CALL__PATTERN_REF

          static final org.eclipse.emf.ecore.EReference PATTERN_CALL__PATTERN_REF

      The meta object literal for the 'Pattern Ref' reference feature.
      Generated:

    - #### PATTERN_CALL__PARAMETERS

          static final org.eclipse.emf.ecore.EReference PATTERN_CALL__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.
      Generated:

    - #### VALUE_REFERENCE

          static final org.eclipse.emf.ecore.EClass VALUE_REFERENCE

      The meta object literal for the '`Value Reference`' class.
      See Also:
        `ValueReferenceImpl`, `PatternLanguagePackageImpl.getValueReference()`
      Generated:

    - #### LITERAL_VALUE_REFERENCE

          static final org.eclipse.emf.ecore.EClass LITERAL_VALUE_REFERENCE

      The meta object literal for the '`Literal Value Reference`' class.
      See Also:
        `LiteralValueReferenceImpl`, `PatternLanguagePackageImpl.getLiteralValueReference()`
      Generated:

    - #### COMPUTATION_VALUE

          static final org.eclipse.emf.ecore.EClass COMPUTATION_VALUE

      The meta object literal for the '`Computation Value`' class.
      See Also:
        `ComputationValueImpl`, `PatternLanguagePackageImpl.getComputationValue()`
      Generated:

    - #### PARAMETER_REF

          static final org.eclipse.emf.ecore.EClass PARAMETER_REF

      The meta object literal for the '`Parameter Ref`' class.
      See Also:
        `ParameterRefImpl`, `PatternLanguagePackageImpl.getParameterRef()`
      Generated:

    - #### PARAMETER_REF__REFERRED_PARAM

          static final org.eclipse.emf.ecore.EReference PARAMETER_REF__REFERRED_PARAM

      The meta object literal for the 'Referred Param' reference feature.
      Generated:

    - #### PARAMETER

          static final org.eclipse.emf.ecore.EClass PARAMETER

      The meta object literal for the '`Parameter`' class.
      See Also:
        `ParameterImpl`, `PatternLanguagePackageImpl.getParameter()`
      Generated:

    - #### PARAMETER__DIRECTION

          static final org.eclipse.emf.ecore.EAttribute PARAMETER__DIRECTION

      The meta object literal for the 'Direction' attribute feature.
      Generated:

    - #### LOCAL_VARIABLE

          static final org.eclipse.emf.ecore.EClass LOCAL_VARIABLE

      The meta object literal for the '`Local Variable`' class.
      See Also:
        `LocalVariableImpl`, `PatternLanguagePackageImpl.getLocalVariable()`
      Generated:

    - #### JAVA_TYPE

          static final org.eclipse.emf.ecore.EClass JAVA_TYPE

      The meta object literal for the '`Java Type`' class.
      See Also:
        `JavaTypeImpl`, `PatternLanguagePackageImpl.getJavaType()`
      Generated:

    - #### JAVA_TYPE__CLASS_REF

          static final org.eclipse.emf.ecore.EReference JAVA_TYPE__CLASS_REF

      The meta object literal for the 'Class Ref' reference feature.
      Generated:

    - #### RELATION_TYPE

          static final org.eclipse.emf.ecore.EClass RELATION_TYPE

      The meta object literal for the '`Relation Type`' class.
      See Also:
        `RelationTypeImpl`, `PatternLanguagePackageImpl.getRelationType()`
      Generated:

    - #### TYPE_CHECK_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass TYPE_CHECK_CONSTRAINT

      The meta object literal for the '`Type Check Constraint`' class.
      See Also:
        `TypeCheckConstraintImpl`, `PatternLanguagePackageImpl.getTypeCheckConstraint()`
      Generated:

    - #### PATTERN_COMPOSITION_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass PATTERN_COMPOSITION_CONSTRAINT

      The meta object literal for the '`Pattern Composition Constraint`' class.
      See Also:
        `PatternCompositionConstraintImpl`, `PatternLanguagePackageImpl.getPatternCompositionConstraint()`
      Generated:

    - #### PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE

          static final org.eclipse.emf.ecore.EAttribute PATTERN_COMPOSITION_CONSTRAINT__NEGATIVE

      The meta object literal for the 'Negative' attribute feature.
      Generated:

    - #### PATTERN_COMPOSITION_CONSTRAINT__CALL

          static final org.eclipse.emf.ecore.EReference PATTERN_COMPOSITION_CONSTRAINT__CALL

      The meta object literal for the 'Call' containment reference feature.
      Generated:

    - #### COMPARE_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass COMPARE_CONSTRAINT

      The meta object literal for the '`Compare Constraint`' class.
      See Also:
        `CompareConstraintImpl`, `PatternLanguagePackageImpl.getCompareConstraint()`
      Generated:

    - #### COMPARE_CONSTRAINT__LEFT_OPERAND

          static final org.eclipse.emf.ecore.EReference COMPARE_CONSTRAINT__LEFT_OPERAND

      The meta object literal for the 'Left Operand' containment reference feature.
      Generated:

    - #### COMPARE_CONSTRAINT__FEATURE

          static final org.eclipse.emf.ecore.EAttribute COMPARE_CONSTRAINT__FEATURE

      The meta object literal for the 'Feature' attribute feature.
      Generated:

    - #### COMPARE_CONSTRAINT__RIGHT_OPERAND

          static final org.eclipse.emf.ecore.EReference COMPARE_CONSTRAINT__RIGHT_OPERAND

      The meta object literal for the 'Right Operand' containment reference feature.
      Generated:

    - #### CHECK_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass CHECK_CONSTRAINT

      The meta object literal for the '`Check Constraint`' class.
      See Also:
        `CheckConstraintImpl`, `PatternLanguagePackageImpl.getCheckConstraint()`
      Generated:

    - #### CHECK_CONSTRAINT__EXPRESSION

          static final org.eclipse.emf.ecore.EReference CHECK_CONSTRAINT__EXPRESSION

      The meta object literal for the 'Expression' containment reference feature.
      Generated:

    - #### PATH_EXPRESSION_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass PATH_EXPRESSION_CONSTRAINT

      The meta object literal for the '`Path Expression Constraint`' class.
      See Also:
        `PathExpressionConstraintImpl`, `PatternLanguagePackageImpl.getPathExpressionConstraint()`
      Generated:

    - #### PATH_EXPRESSION_CONSTRAINT__EDGE_TYPES

          static final org.eclipse.emf.ecore.EReference PATH_EXPRESSION_CONSTRAINT__EDGE_TYPES

      The meta object literal for the 'Edge Types' containment reference list feature.
      Since:
        2.0
      Generated:

    - #### PATH_EXPRESSION_CONSTRAINT__SOURCE_TYPE

          static final org.eclipse.emf.ecore.EReference PATH_EXPRESSION_CONSTRAINT__SOURCE_TYPE

      The meta object literal for the 'Source Type' containment reference feature.
      Since:
        2.0
      Generated:

    - #### PATH_EXPRESSION_CONSTRAINT__SRC

          static final org.eclipse.emf.ecore.EReference PATH_EXPRESSION_CONSTRAINT__SRC

      The meta object literal for the 'Src' containment reference feature.
      Since:
        2.0
      Generated:

    - #### PATH_EXPRESSION_CONSTRAINT__DST

          static final org.eclipse.emf.ecore.EReference PATH_EXPRESSION_CONSTRAINT__DST

      The meta object literal for the 'Dst' containment reference feature.
      Since:
        2.0
      Generated:

    - #### STRING_VALUE

          static final org.eclipse.emf.ecore.EClass STRING_VALUE

      The meta object literal for the '`String Value`' class.
      See Also:
        `StringValueImpl`, `PatternLanguagePackageImpl.getStringValue()`
      Generated:

    - #### STRING_VALUE__VALUE

          static final org.eclipse.emf.ecore.EAttribute STRING_VALUE__VALUE

      The meta object literal for the 'Value' attribute feature.
      Generated:

    - #### NUMBER_VALUE

          static final org.eclipse.emf.ecore.EClass NUMBER_VALUE

      The meta object literal for the '`Number Value`' class.
      See Also:
        `NumberValueImpl`, `PatternLanguagePackageImpl.getNumberValue()`
      Generated:

    - #### NUMBER_VALUE__VALUE

          static final org.eclipse.emf.ecore.EReference NUMBER_VALUE__VALUE

      The meta object literal for the 'Value' containment reference feature.
      Generated:

    - #### NUMBER_VALUE__NEGATIVE

          static final org.eclipse.emf.ecore.EAttribute NUMBER_VALUE__NEGATIVE

      The meta object literal for the 'Negative' attribute feature.
      Generated:

    - #### BOOL_VALUE

          static final org.eclipse.emf.ecore.EClass BOOL_VALUE

      The meta object literal for the '`Bool Value`' class.
      See Also:
        `BoolValueImpl`, `PatternLanguagePackageImpl.getBoolValue()`
      Generated:

    - #### BOOL_VALUE__VALUE

          static final org.eclipse.emf.ecore.EReference BOOL_VALUE__VALUE

      The meta object literal for the 'Value' containment reference feature.
      Generated:

    - #### LIST_VALUE

          static final org.eclipse.emf.ecore.EClass LIST_VALUE

      The meta object literal for the '`List Value`' class.
      See Also:
        `ListValueImpl`, `PatternLanguagePackageImpl.getListValue()`
      Generated:

    - #### LIST_VALUE__VALUES

          static final org.eclipse.emf.ecore.EReference LIST_VALUE__VALUES

      The meta object literal for the 'Values' containment reference list feature.
      Generated:

    - #### FUNCTION_EVALUATION_VALUE

          static final org.eclipse.emf.ecore.EClass FUNCTION_EVALUATION_VALUE

      The meta object literal for the '`Function Evaluation Value`' class.
      See Also:
        `FunctionEvaluationValueImpl`, `PatternLanguagePackageImpl.getFunctionEvaluationValue()`
      Generated:

    - #### FUNCTION_EVALUATION_VALUE__EXPRESSION

          static final org.eclipse.emf.ecore.EReference FUNCTION_EVALUATION_VALUE__EXPRESSION

      The meta object literal for the 'Expression' containment reference feature.
      Generated:

    - #### FUNCTION_EVALUATION_VALUE__UNWIND

          static final org.eclipse.emf.ecore.EAttribute FUNCTION_EVALUATION_VALUE__UNWIND

      The meta object literal for the 'Unwind' attribute feature.
      Since:
        2.7
      Generated:

    - #### AGGREGATED_VALUE

          static final org.eclipse.emf.ecore.EClass AGGREGATED_VALUE

      The meta object literal for the '`Aggregated Value`' class.
      See Also:
        `AggregatedValueImpl`, `PatternLanguagePackageImpl.getAggregatedValue()`
      Generated:

    - #### AGGREGATED_VALUE__AGGREGATOR

          static final org.eclipse.emf.ecore.EReference AGGREGATED_VALUE__AGGREGATOR

      The meta object literal for the 'Aggregator' reference feature.
      Generated:

    - #### AGGREGATED_VALUE__CALL

          static final org.eclipse.emf.ecore.EReference AGGREGATED_VALUE__CALL

      The meta object literal for the 'Call' containment reference feature.
      Generated:

    - #### AGGREGATED_VALUE__AGGREGATE_TYPE

          static final org.eclipse.emf.ecore.EReference AGGREGATED_VALUE__AGGREGATE_TYPE

      The meta object literal for the 'Aggregate Type' reference feature.
      Generated:

    - #### CALLABLE_RELATION

          static final org.eclipse.emf.ecore.EClass CALLABLE_RELATION

      The meta object literal for the '`Callable Relation`' class.
      See Also:
        `CallableRelationImpl`, `PatternLanguagePackageImpl.getCallableRelation()`
      Generated:

    - #### CALLABLE_RELATION__TRANSITIVE

          static final org.eclipse.emf.ecore.EAttribute CALLABLE_RELATION__TRANSITIVE

      The meta object literal for the 'Transitive' attribute feature.
      Generated:

    - #### UNARY_TYPE_CONSTRAINT

          static final org.eclipse.emf.ecore.EClass UNARY_TYPE_CONSTRAINT

      The meta object literal for the '`Unary Type Constraint`' class.
      See Also:
        `UnaryTypeConstraintImpl`, `PatternLanguagePackageImpl.getUnaryTypeConstraint()`
      Generated:

    - #### UNARY_TYPE_CONSTRAINT__TYPE

          static final org.eclipse.emf.ecore.EReference UNARY_TYPE_CONSTRAINT__TYPE

      The meta object literal for the 'Type' containment reference feature.
      Generated:

    - #### UNARY_TYPE_CONSTRAINT__VAR

          static final org.eclipse.emf.ecore.EReference UNARY_TYPE_CONSTRAINT__VAR

      The meta object literal for the 'Var' containment reference feature.
      Generated:

    - #### JAVA_CONSTANT_VALUE

          static final org.eclipse.emf.ecore.EClass JAVA_CONSTANT_VALUE

      The meta object literal for the '`Java Constant Value`' class.
      See Also:
        `JavaConstantValueImpl`, `PatternLanguagePackageImpl.getJavaConstantValue()`
      Generated:

    - #### JAVA_CONSTANT_VALUE__CLASS_REF

          static final org.eclipse.emf.ecore.EReference JAVA_CONSTANT_VALUE__CLASS_REF

      The meta object literal for the 'Class Ref' reference feature.
      Generated:

    - #### JAVA_CONSTANT_VALUE__FIELD_REF

          static final org.eclipse.emf.ecore.EReference JAVA_CONSTANT_VALUE__FIELD_REF

      The meta object literal for the 'Field Ref' reference feature.
      Generated:

    - #### EXECUTION_TYPE

          static final org.eclipse.emf.ecore.EEnum EXECUTION_TYPE

      The meta object literal for the '`Execution Type`' enum.
      See Also:
        `ExecutionType`, `PatternLanguagePackageImpl.getExecutionType()`
      Generated:

    - #### PARAMETER_DIRECTION

          static final org.eclipse.emf.ecore.EEnum PARAMETER_DIRECTION

      The meta object literal for the '`Parameter Direction`' enum.
      See Also:
        `ParameterDirection`, `PatternLanguagePackageImpl.getParameterDirection()`
      Generated:

    - #### COMPARE_FEATURE

          static final org.eclipse.emf.ecore.EEnum COMPARE_FEATURE

      The meta object literal for the '`Compare Feature`' enum.
      See Also:
        `CompareFeature`, `PatternLanguagePackageImpl.getCompareFeature()`
      Generated:

    - #### CLOSURE_TYPE

          static final org.eclipse.emf.ecore.EEnum CLOSURE_TYPE

      The meta object literal for the '`Closure Type`' enum.
      Since:
        2.0
      See Also:
        `ClosureType`, `PatternLanguagePackageImpl.getClosureType()`
      Generated: